URL Streams (non-"file://*") can not be recorded if "Save into original directory" selected.

May 15, 2018 00:04 - Jim Turner

Status: Rejected Start date: May 14, 2018

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category: plugins/filewriter Estimated time: 0.00 hour

Target version:    

Affects version: 3.9.1   

Description

Since there is no "original directory" obtainable from the file name, attempting to record a stream URL will fail with a popup error. 

The included PATCH should check for this and silently handle it by recording as if "Save to custom directory" was selected

(defaulting to user's home directory if no directory provided), as I believe it should.

Regards,

Jim

History

#1 - May 15, 2018 01:16 - John Lindgren

- Status changed from New to Rejected

Many non-file:// URIs are writable.  smb:// and ftp://, for example.  Not a bug.

#2 - May 15, 2018 13:33 - Jim Turner

True (I haven't played those before)

Maybe add a test for writeability || failure, perhaps?

Jim

Files

filewriter.patch 908 Bytes May 14, 2018 Jim Turner
